Loading...
Searching...
No Matches
XrdFrcXAttrMem Class Reference

`#include <XrdFrcXAttr.hh>`

Collaboration diagram for XrdFrcXAttrMem:

## Public Member Functions

| XrdFrcXAttrMem ()
| ~XrdFrcXAttrMem ()
XrdFrcXAttrMem * | preSet (XrdFrcXAttrMem &tmp)

## Static Public Member Functions

static const char * | Name ()
static int | postGet (int Result)
static int | sizeGet ()
static int | sizeSet ()

## Public Attributes

char | Flags
char | Rsvd [7]

## Static Public Attributes

static const char | memKeep = 0x02
static const char | memLock = 0x04
static const char | memMap = 0x01

## Detailed Description

Definition at line 88 of file XrdFrcXAttr.hh.

## Constructor & Destructor Documentation

## XrdFrcXAttrMem()

XrdFrcXAttrMem::XrdFrcXAttrMem | ( |  | ) |

inline

Definition at line 115 of file XrdFrcXAttr.hh.

: Flags(0) {memset(Rsvd, 0, sizeof(Rsvd));}
XrdFrcXAttrMem::Flags
char Flags
Definition XrdFrcXAttr.hh:92
XrdFrcXAttrMem::Rsvd
char Rsvd[7]
Definition XrdFrcXAttr.hh:93

References Flags, and Rsvd.

Referenced by preSet(), sizeGet(), and sizeSet().

Here is the caller graph for this function:

## ~XrdFrcXAttrMem()

XrdFrcXAttrMem::~XrdFrcXAttrMem | ( |  | ) |

inline

Definition at line 116 of file XrdFrcXAttr.hh.

{}

## Member Function Documentation

## Name()

const char * XrdFrcXAttrMem::Name | ( |  | ) |

inline static

Definition at line 108 of file XrdFrcXAttr.hh.

{return "XrdFrm.Mem";}

## postGet()

int XrdFrcXAttrMem::postGet | ( | int | Result | ) |

inline static

Definition at line 103 of file XrdFrcXAttr.hh.

{return Result;}

## preSet()

XrdFrcXAttrMem * XrdFrcXAttrMem::preSet | ( | XrdFrcXAttrMem & | tmp | ) |

inline

Definition at line 104 of file XrdFrcXAttr.hh.

{return this;}

References XrdFrcXAttrMem().

Here is the call graph for this function:

## sizeGet()

int XrdFrcXAttrMem::sizeGet | ( |  | ) |

inline static

Definition at line 112 of file XrdFrcXAttr.hh.

{return sizeof(XrdFrcXAttrMem);}
XrdFrcXAttrMem::XrdFrcXAttrMem
XrdFrcXAttrMem()
Definition XrdFrcXAttr.hh:115

References XrdFrcXAttrMem().

Here is the call graph for this function:

## sizeSet()

int XrdFrcXAttrMem::sizeSet | ( |  | ) |

inline static

Definition at line 113 of file XrdFrcXAttr.hh.

{return sizeof(XrdFrcXAttrMem);}

References XrdFrcXAttrMem().

Here is the call graph for this function:

## Member Data Documentation

## Flags

char XrdFrcXAttrMem::Flags

Definition at line 92 of file XrdFrcXAttr.hh.

Referenced by XrdFrcXAttrMem().

## memKeep

const char XrdFrcXAttrMem::memKeep = 0x02

static

Definition at line 98 of file XrdFrcXAttr.hh.

Referenced by XrdOssFile::Open().

## memLock

const char XrdFrcXAttrMem::memLock = 0x04

static

Definition at line 99 of file XrdFrcXAttr.hh.

Referenced by XrdOssFile::Open().

## memMap

const char XrdFrcXAttrMem::memMap = 0x01

static

Definition at line 97 of file XrdFrcXAttr.hh.

Referenced by XrdOssFile::Open().

## Rsvd

char XrdFrcXAttrMem::Rsvd[7]

Definition at line 93 of file XrdFrcXAttr.hh.

Referenced by XrdFrcXAttrMem().

The documentation for this class was generated from the following file:

- XrdFrcXAttr.hh